﻿.dxgvControl,
.dxgvDisabled {
    border: Solid 1px #f5821f;
    font-size: 11px;
    background-color: #F2F2F2;
    color: Black;
    cursor: default;
}

.dxgvDisabled {
    color: Gray;
}

.dxgvControl a {
    color: #5555FF;
}

    .dxgvControl a.bg {
        color: #f5821f;
    }

.dxgvDisabled a {
    color: Gray;
}

.dxgvLoadingPanel {
    border: solid 1px #f5821f;
    background-color: #E3E3E1;
    font-size: 10px;
    color: #303030;
}

    .dxgvLoadingPanel td {
        white-space: nowrap;
        text-align: center;
        padding: 12px 12px 12px 12px;
    }

.dxgvLoadingPanelStatusBar {
    background-color: Transparent;
    font-size: 10px;
}

    .dxgvLoadingPanelStatusBar td {
        white-space: nowrap;
        text-align: center;
        padding: 0px 2px 0px 2px;
    }

.dxgvFilterPopupWindow {
    color: Black;
    font-size: 10px;
    border: solid 1px #f5821f;
}

.dxgvFilterPopupItemsArea {
    color: Black;
    background-color: White;
}

.dxgvFilterPopupButtonPanel {
    font-size: 10px;
    background-color: #ededed;
    border: 1px solid #fef4eb;
    border-left-width: 0px;
    color: Black;
}

.dxgvFilterPopupItem td.dxgv,
.dxgvFilterPopupActiveItem td.dxgv,
.dxgvFilterPopupSelectedItem td.dxgv {
    border-left: solid 1px white;
    border-right: solid 1px white;
    padding: 3px 2px 4px 3px;
    cursor: default;
    white-space: nowrap;
}

.dxgvFilterPopupActiveItem {
    background: #cfcfcf;
    color: Black;
}

.dxgvFilterPopupSelectedItem {
    background: #8D8D8D;
    color: White;
}

.dxgvTable {
    background-color: White;
    border: 0;
    border-collapse: revert-layer !important;
    overflow: hidden;
    font-size: 10px;
    color: Black;
    table-layout: auto !important;
}

.dxgvInlineEditRow,
.dxgvDataRow {
}

    .dxgvInlineEditRow td.dxgv {
        border-bottom: Solid 1px #D3D3D3;
        border-right: Solid 1px #D3D3D3;
    }

.dxgvDataRowAlt {
    background-color: #EDEDEB;
}

.dxgvFilterRow {
    background-color: #E7E7E7;
}

.dxgvEditForm {
    background-color: #F0F0F0;
}

    .dxgvEditForm td.dxgv {
        border-bottom: Solid 1px #D3D3D3;
        padding: 8px 10px 10px 10px;
    }

.dxgvSelectedRow {
    background-color: #A0A0A0;
    color: White;
}

.dxgvFocusedRow {
    background-color: #8D8D8D;
    color: White;
}

    .dxgvSelectedRow .dxgvCommandColumn a,
    .dxgvFocusedRow .dxgvCommandColumn a {
        color: White;
    }

        .dxgvSelectedRow .dxgvCommandColumn a:hover,
        .dxgvFocusedRow .dxgvCommandColumn a:hover {
            color: #F0F0F0;
        }

        .dxgvSelectedRow .dxgvCommandColumn a:visited,
        .dxgvFocusedRow .dxgvCommandColumn a:visited {
            color: #F0F0F0;
        }

.dxgvPreviewRow {
    background-color: #F5F5F5;
    color: #707070;
}

    .dxgvDetailCell,
    .dxgvPreviewRow td.dxgv,
    .dxgvEmptyDataRow td.dxgv {
        padding: 20px 2px 20px 4px;
        border-bottom: Solid 1px #D3D3D3;
        border-top: 0;
        border-left: 0;
        border-right: 0;
    }

    .dxgvPreviewRow td.dxgv {
        padding: 10px 10px 10px 15px;
    }

.dxgvDetailCell {
    padding: 16px 18px 16px 0px;
}

.dxgvDetailRow td.dxgvIndentCell {
    padding-right: 0px;
    border-bottom: Solid 1px #D3D3D3;
}

.dxgvEmptyDataRow {
    color: Gray;
}

    .dxgvEmptyDataRow td.dxgv {
        border-bottom: Solid 1px #CFCFCF;
        text-align: center;
    }

.dxgvEditFormDisplayRow td.dxgv,
.dxgvDataRow td.dxgv,
.dxgvDataRowAlt td.dxgv,
.dxgvSelectedRow td.dxgv,
.dxgvFocusedRow td.dxgv {
    /*overflow: hidden;
	border-bottom: Solid 1px #fef4eb;
	border-right: Solid 1px #fef4eb;
	border-top: 0;
	border-left: 0;
	padding: 3px 6px 4px 6px;*/
    /*padding: 20px 15px !important;*/
    /*padding: 12px 15px !important;*/
    /*border-top: 5px solid #f3f3f3 !important;*/
    border-bottom: 2px solid #ddd !important;
    border-right: none;
    border-left: none;
    background: #fff !important;
    color: #333 !important;
    font-weight: bold !important;
    height: 50px;
    font-size: 12px;
    /*padding: 3px 6px 4px 0px !important;*/
}

/* Target odd rows */
/*.dxgvDataRow:nth-child(2n+1):hover td.dxgv {
    background: #ddd !important;*/ /* Change this color as needed */
    /*cursor: default !important;
}*/

/* Target even rows */
/*.dxgvDataRow:nth-child(2n):hover td.dxgv {
    background: #ddd !important;
    cursor: default !important;
}*/
.dxgvDataRow:hover td.dxgv {
    background: #eeeeee !important;
    cursor: default !important;
}
/* Target odd rows */
/*.dxgvDataRow:nth-child(2n+1) td.dxgv {
    background: #ffffff !important;
    cursor: default !important;
}*/

/* Target even rows */
/*.dxgvDataRow:nth-child(2n) td.dxgv {
    background: #f3f3f3 !important;*/ /* Change this color as needed */
    /*cursor: default !important;
}*/

.dxgvEditFormDisplayRow {
}

    .dxgvEditFormDisplayRow td.dxgv {
    }

.dxgvEditingErrorRow {
    background-color: #FFC8C8;
    color: #FF0000;
}

    .dxgvEditingErrorRow td.dxgv {
        white-space: pre-wrap;
        border-bottom: Solid 1px #D3D3D3;
        border-right: 0;
        border-top: 0;
        border-left: 0;
        padding: 6px 10px 6px 10px;
    }

.dxgvFilterRow td.dxgv {
    /*border-bottom: Solid 1px #C1C1C1;
	border-right: Solid 1px #C1C1C1;
	border-top: 0;
	border-left: 0;
	padding: 2px 2px 2px 2px;
	overflow: hidden;*/
    /*padding: 12px 15px !important;*/
    /*border-top: 5px solid #f3f3f3 !important;*/
    border-bottom: 2px solid #ddd !important;
    border-right: none;
    border-left: none;
    background: #f3f3f3 !important;
    color: #333 !important;
    font-weight: bold !important;
    /*height: 35px;*/
}

.dxgvGroupRow {
    background-color: #EDEDED;
}

.dxgvFocusedGroupRow {
    background-color: #8D8D8D;
    color: White;
}

    .dxgvGroupRow td.dxgv,
    .dxgvFocusedGroupRow td.dxgv {
        border: none 0;
        vertical-align: middle;
        white-space: nowrap;
        border-bottom: Solid 1px #D3D3D3;
        padding: 3px 6px 4px 6px;
    }

    .dxgvFocusedRow td.dxgvIndentCell,
    .dxgvFocusedGroupRow td.dxgvIndentCell,
    .dxgvSelectedRow td.dxgvIndentCell {
        background-color: #EDEDED !important;
        border-right: solid 1px #CFCFCF;
        border-top: 0px;
    }

.dxgvHeaderPanel {
    background-color: #F9F9F9;
    color: Black;
    padding: 8px 6px 8px 6px;
    border-bottom: Solid 1px #f5821f;
}

.dxgvHeader {
    /*cursor: pointer;
	white-space: nowrap;
	padding: 4px 6px 5px 6px;
	border: Solid 1px #f5a35d;
	background-color: #f5821f;
	overflow: hidden;
	font-weight: normal;
	color:#fff;
	text-align: left;*/
    /*padding: 12px 15px !important;*/
    /*border-top: 5px solid #f3f3f3 !important;*/
    /*border-bottom: 2px solid #ddd !important;*/
    border-bottom: none !important;
    border-right: none;
    border-left: none;
    background: #f3f3f3 !important;
    color: #333 !important;
    font-weight: bold !important;
    font-size: 13px;
    /*height: 40px;*/
}

    .dxgvHeader, .dxgvHeader table {
        /*color: #fff;*/
        color: #333 !important;
        font-size: 13px !important;
        font-weight: bold !important;
    }

        .dxgvHeader td {
            white-space: nowrap;
            text-align: left !important;
        }

        .dxgvHeader a {
            color: #0d45b7;
        }

.dxgvCustomization,
.dxgvPopupEditForm {
    width: 100%;
    padding: 0 0 0 0;
    margin: 0 0 0 0;
}

.dxgvGroupPanel {
    white-space: nowrap;
    font-size: 11px;
    color: #676a6c;
    /*border-bottom: Solid 1px #f5821f;*/
    border: none;
    padding: 7px 4px 8px 6px;
}

.dxgvFooter {
    background-color: #D7D7D7;
    white-space: nowrap;
}

    .dxgvFooter td.dxgv {
        padding: 5px 6px 6px 6px;
        border-bottom: Solid 1px #BCBCBC;
        border-right: 0;
    }

.dxgvGroupFooter {
    background-color: #E0E0E0;
}

    .dxgvGroupFooter td.dxgv {
        white-space: nowrap;
    }

    .dxgvGroupFooter td.dxgv {
        padding: 5px 4px 6px 6px;
        border-bottom: Solid 1px #CFCFCF;
        border-right: 0;
    }

    .dxgvDataRow td.dxgvIndentCell,
    .dxgvGroupRow td.dxgvIndentCell,
    .dxgvGroupFooter td.dxgvIndentCell {
        background-color: #EDEDED;
        border-right: Solid 1px #CFCFCF;
        border-top: 0px;
    }

.dxgvTitlePanel,
.dxgvTable caption {
    font-size: 15px;
    font-weight: normal;
    padding: 3px 3px 5px 3px;
    text-align: center;
    color: White;
    background-color: #fff;
    border-bottom: Solid 1px #eee;
}
.dxgvTitlePanel .dxbButton {
    float: left !important;
}
/*.dxp-right {
    position: absolute;
    top: 0.8rem;
    left: 2rem;
    float: left !important;
}*/

.dxgvLoadingDiv {
    background-color: Gray;
    opacity: 0.01;
    filter: alpha(opacity=1);
}

.dxgvStatusBar {
    border-top: Solid 1px #f5821f;
}

    .dxgvStatusBar tr.dxgv {
        height: 20px;
    }

.dxgvCommandColumn {
    padding: 2px 2px 2px 2px;
}

    .dxgvCommandColumn a {
        margin: 0px 3px 0px 0px;
        color: #0d45b7;
    }

        .dxgvCommandColumn a:hover {
            color: #5494ea;
        }

        .dxgvCommandColumn a:visited {
            color: #ab59a6;
        }

.dxgvCommandColumnItem {
}

.dxgvEditFormTable {
    padding: 2px 6px 6px 4px;
    font: 11px Tahoma;
    color: Black;
}

    .dxgvEditFormTable a {
        color: #0d45b7;
    }

        .dxgvEditFormTable a:hover {
            color: #5494ea;
        }

        .dxgvEditFormTable a:visited {
            color: #ab59a6;
        }

.dxgvEditFormCaption {
    padding: 4px 4px 4px 10px;
}

.dxgvInlineEditCell {
    padding: 1px 1px 1px 1px;
}

.dxgvEditFormCell {
    padding: 4px 4px 4px 4px;
    border: 0;
}

.dxgvPagerTopPanel {
}

.dxgvPagerBottomPanel {
    padding-bottom: 0px;
    padding-top: 1px !important;
}
.dxgvPagerBottomPanel {
}

.dxgvDetailButton {
}

.dxgvFilterBar {
    border-top: solid 1px #f5821f;
    background-image: url(images/x-toolbar-bg.jpg);
}

    .dxgvFilterBar a {
        color: #394ea2;
        text-decoration: underline;
    }

.dxgvFilterBarCheckBoxCell {
    padding: 0 3px;
    padding-right: 7px;
}

.dxgvFilterBarImageCell {
    padding: 0 3px;
    padding-right: 1px;
    cursor: pointer;
}

.dxgvFilterBarExpressionCell {
    font-size: 9pt;
    padding: 5px 5px 8px 0;
    white-space: nowrap;
}

.dxgvFilterBarClearButtonCell {
    font-size: 9pt;
    padding: 5px 6px 8px;
}

.dxgvFilterBuilderMainArea {
    background: white;
    padding: 6px 2px;
}

.dxgvFilterBuilderButtonArea {
    background: #ededed;
    border-top: solid 1px #cfcfcf;
    padding: 6px;
}

.dxgvDataRowHover {
    background: #cfcfcf;
    color: Black;
}


.dxgvControl .dxpControl td.dxpCtrl,
.dxgvDisabled .dxpControl td.dxpCtrl,
.dxgvControl .dxpLite,
.dxgvDisabled .dxpLite {
    /*padding-top: 4px;*/
    background: #fff;
}

/********** pivot ************/

.dxpgControl {
    color: Black;
    font: 9pt Tahoma;
    border: solid 1px #f5821f;
    background-color: white;
}

.dxpgContainerCell {
    vertical-align: top;
}

.dxpgMainTable {
    color: Black;
    font: 9pt Tahoma;
    border: 0px;
    border-collapse: separate;
    width: 100%;
}

    .dxpgMainTable caption {
        background: #ACACAC;
        color: white;
        border-bottom: Solid 1px #9F9F9F;
        font-size: 15px;
        font-weight: normal;
        padding: 3px 3px 5px;
        text-align: center;
    }

.dxpgHeader {
    border-width: 0px;
    color: Black;
    background-color: #fff;
    cursor: pointer;
    white-space: nowrap;
}

.dxpgHeaderTable {
    border-width: 1px;
    width: 100%;
}

.dxpgHeaderGroupButton {
    padding-left: 4px;
    vertical-align: middle;
}

.dxpgHeaderText {
    padding-left: 6px;
    padding-right: 6px;
    padding-top: 3px;
    padding-bottom: 4px;
}

.dxpgHeaderSort {
    padding-left: 0px;
    padding-right: 4px;
    padding-top: 0px;
    padding-bottom: 0px;
    vertical-align: middle;
}

.dxpgHeaderFilter {
    padding-left: 0px;
    padding-right: 2px;
    padding-top: 2px;
    padding-bottom: 2px;
    vertical-align: middle;
}

.dxpgHeaderHover {
    background-color: #f1f1f1;
}

.dxpgArea, .dxpgArea table {
    color: Black;
    font: 9pt Tahoma;
}

.dxpgArea {
    border: solid 1px #9f9f9f;
    background-color: #fef4eb;
    border-left-style: none;
    border-top-style: none;
    border-bottom-style: none;
    border-right-style: none;
}

.dxpgColumnArea {
    border-bottom-style: solid;
}

.dxpgRowArea {
}

.dxpgDataArea {
}

.dxpgFilterArea {
    background-color: #fef4eb;
    color: #808080;
    border-bottom-style: solid;
}

.dxpgEmptyArea {
    cursor: default;
    padding-top: 6px;
    padding-left: 6px;
    padding-bottom: 7px;
    padding-right: 6px;
}

.dxpgColumnFieldValue {
    background-color: #dcdcdc;
    border: solid 1px #9f9f9f;
    border-left-style: solid;
    border-bottom-style: solid;
    border-right-style: none;
    border-top-style: none;
    padding: 4px 6px;
    font-weight: normal;
    text-align: left;
}

.dxpgColumnTotalFieldValue {
    background-color: #c9c9c9;
    border-left-style: solid;
    border-bottom-style: solid;
    border-right-style: none;
    border-top-style: none;
}

.dxpgColumnGrandTotalFieldValue {
    background-color: #bdbdbd;
    border-left-style: solid;
    border-bottom-style: solid;
    border-right-style: none;
    border-top-style: none;
}

.dxpgRowFieldValue {
    background-color: #ffffff;
    border: solid 1px #9f9f9f;
    border-left-style: none;
    border-bottom-style: none;
    border-right-style: solid;
    border-top-style: solid;
    padding: 3px 6px 4px 6px;
    font-weight: normal;
    text-align: left;
}

.dxpgRowTotalFieldValue {
    background-color: #c9c9c9;
    border-left-style: none;
    border-bottom-style: none;
    border-right-style: solid;
    border-top-style: solid;
}

.dxpgRowTreeFieldValue {
    padding: 0px;
    font: 0pt;
}

.dxpgRowGrandTotalFieldValue {
    background-color: #F2F2F2;
    border-left-style: none;
    border-bottom-style: none;
    border-right-style: solid;
    border-top-style: solid;
    padding-top: 5px;
    padding-bottom: 6px;
}

.dxpgCollapsedButton {
    vertical-align: -1px;
    border: 0px;
    margin-right: 5px;
}

.dxpgSortByColumnImage {
    vertical-align: -1px;
    border: 0px;
    margin-left: 5px;
}

.dxpgCell {
    text-align: right;
    background-color: White;
    border-color: #cecece;
    border-width: 1px;
    border-top-style: solid;
    border-left-style: solid;
    border-bottom-style: none;
    border-right-style: none;
    padding: 4px;
    padding-top: 3px;
    white-space: nowrap;
}

.dxpgKPICell {
    text-align: center;
    vertical-align: middle;
}

.dxpgTotalCell {
    background-color: #f2f2f2;
}

.dxpgGrandTotalCell {
    background-color: #e2e2e2;
}

.dxpgRowGrandTotalCell {
    background-color: #e2e2e2;
}

.dxpgColumnGrandTotalCell {
    background-color: #e2e2e2;
}

.dxpgFilterWindow {
    color: Black;
    font: 9pt Tahoma;
    border: solid 1px #9f9f9f;
}

.dxpgFilterItemsArea {
    color: Black;
    background-color: White;
}

.dxpgFilterItem {
    font: 9pt Tahoma;
}

.dxpgFilterButton {
    font: 9pt Tahoma;
    padding: 2px 6px;
}

.dxpgFilterButtonPanel {
    font: 9pt Tahoma;
    background-color: #fff;
    border: 0px solid #dcdcdc;
    color: Black;
}

.dxpgLoadingDiv {
    background-color: White;
    opacity: 0.01;
    filter: alpha(opacity=1);
}

.dxpgTopPager {
    border-top: none;
    border-right: none;
    border-left: none;
    border-bottom: solid 1px #9f9f9f;
    background-color: #F2F2F2;
    padding-bottom: 2px;
}

.dxpgBottomPager {
    border-top: solid 1px #9f9f9f;
    border-bottom: none;
    border-right: none;
    border-left: none;
    background-color: #F2F2F2;
    padding-bottom: 2px;
}

.dxpgCustomizationFieldsHeader {
    color: White;
    font: 11px Tahoma;
}

.dxpgCustomizationFieldsContent {
    padding: 0px !important;
}

.dxpgLoadingPanel {
    font: 9pt Tahoma;
    color: #303030;
    background-color: White;
    border: solid 1px #9f9f9f;
    text-align: center;
    cursor: wait;
}

    .dxpgLoadingPanel td.dx {
        padding: 12px 12px 12px 12px;
    }

.dxpgMenuItem {
    font: 9pt Tahoma;
}

.dxpgDataHeadersImage {
    margin-right: 5px;
    vertical-align: -2px;
}

.dxpgPrefilterPanelContainer {
    border-bottom-style: none;
    border-left-style: none;
    border-right-style: none;
}

.dxpgPrefilterPanel {
    border: none;
    background: #d4d4d4;
}

.dxpgPrefilterPanelLink {
    color: #394ea2;
    text-decoration: underline;
}

.dxpgPrefilterPanelCheckBoxCell {
    padding: 0 3px;
    padding-right: 7px;
}

.dxpgPrefilterPanelImageCell {
    padding: 0 3px;
    padding-right: 1px;
    cursor: pointer;
}

.dxpgPrefilterPanelExpressionCell {
    font-size: 9pt;
    padding: 5px 5px 8px 0;
    white-space: nowrap;
}

.dxpgPrefilterPanelClearButtonCell {
    font-size: 9pt;
    padding: 5px 6px 8px;
}

.dxpgFilterBuilderMainArea {
    background: white;
    padding: 6px 2px;
}

.dxpgFilterBuilderButtonArea {
    background: #ededed;
    border-top: solid 1px #cfcfcf;
    padding: 6px;
}

.dxpgGroupSeparator {
    vertical-align: middle;
}

.dxpgExpBar {
    background: #f5821f;
}

.dxgvControl a {
    color: #f5821f;
}

/*.dxp-lead .dxp-summary {
	position: relative !important;
	top: 12px !important;
}*/

.dxeButtonEditSys.dxeButtonEdit {
    border: 1px solid #ccc;
}

.dxeButton.dxeButtonEditButton {
    background: #fff;
    border: none;
}

.dxEditors_edtDropDown {
    font-family: FontAwesome;
    content: "\f0d8";
}

.dxeFocused {
    border: none;
    box-shadow: 0 0 4px #f5821f !important;
    border-bottom: 2px solid #f5821f !important
}

.dxeListBox {
    background-color: white;
    border: 1px solid #aaa;
    border-radius: 4px;
    box-sizing: border-box;
}

.dxeHD {
    padding: 0px;
}
    .dxeHD table tr td,
    .dxeHD table tr .dxeListBoxItem {
        display: none;
    }

.dxeListBoxItemRow .dxeListBoxItem {
    border: none !important;
    background: white !important;
    color: #333 !important;
}

/*.dxeListBoxItemRow:hover {
    border: 1px solid #f5821f !important;
}*/

.dxeListBox td.dxeLTM, .dxeListBox td.dxeTM, .dxeListBox td.dxeMIM {
    border: none !important;
}

/*table {
    border-collapse: revert-layer !important;
}*/

/* CSS */
tr.dxeListBoxItemRow:hover td {
    background-color: #f5821f !important; /* Change this to your desired hover background color */
    /*border: 1px solid #f5821f !important;*/
    color: #fff !important;
}

.dxeTextBox {
    background-color: white;
    border: 1px solid #ddd;
    font: 12px Tahoma, Geneva, sans-serif;
}

.dxeCalendar {
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    position: fixed;
    z-index: 99999;
    border: 1px solid #f5821f;
}
.dxeCalendarToday {
    padding: 3px 3px 2px;
    border: 1px solid #333;
    background: transparent;
    color: #333;
}
.dxeCalendarWeekend {
    color: #333;
}
.dxeCalendarOtherMonth {
    color: #888 !important;
}
.dxeCalendarSelected,
.dxeCalendarSelected:hover,
.dxeCalendarDay:hover,
.dxeCalendarOtherMonth:hover {
    background: #f5821f !important;
    color: #fff !important;
}
.dxeCalendarToday:hover {
    border: 1px solid #333 !important;
    background: transparent !important;
    color: #333 !important;
}
.dxbButton[class~="dxgvCommandColumnItem"] {
    /*margin: 0px !important;*/
    margin-left: -3px !important;
}
.dxgvCommandColumn a {
    margin: 0 3px 3px 0 !important;
}

.dxpcDropDown {
    position: absolute;
    top: auto !important;
}

#ctl00_ContentPlaceHolder1_ddlApprover_DDD_PW-1 {
    top: 645px !important;
}
#ctl00_ContentPlaceHolder1_ddlOvertimeApprover_DDD_PW-1 {
    top: 702px !important;
}

.dxgvCSD {
    width: 100% !important;
}

.dxpcLite.dxpclW {
    position: absolute !important;
    top: auto !important;
}
.dxpcDropDown.dxpclW.dxpcDropDown {
    z-index: 99999 !important;
}